Subject: 1.1.7:mount and ls problem
From: L Anderson <[email-masked]>
To: [email-masked]
Date: Tue, 23 Jan 2001 16:46:32 -0800

Hi,

Being new to Cygwin, I searched the faq and mail archives but could find
no answer to my question.  An answer would be appreciated.

I'm running Win98 and Cygwin 1.1.7.

I have drives ... e:, f:, g: ... on win98.  I installed cygwin on g:.  I
fire up cygwin and do:
	cd /
	mkdir e
	mount e: /e
All is well -- e shows up in both an ls ( as e) and mount (as e:  /e).

Now I do:
	mount f: /f
I get the error:
	mount: warning - /f does not exist
but mount shows
	f:   f/ . . .
and ls doesn't show f.

If I do an ls f, all the files under f:'s root are listed.

If I do mkdir f, I get:
	mkdir: cannot make directory `f': File exists

So where is f hiding except in the mount table?

Why does f seem to work like any other directory (I can cd to it or its
subdirs and ls their contents) but not show up in an ls at the root?

Is this a bug or a feature?

Thanks,

L Anderson

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple